Subject: Re: I2C module problem on 8260

From: Dan Malek <[email-masked]>
Date: Tue, 12 Feb 2002 18:21:05 -0500

Dan Malek wrote:

> One of the programming techniques for modules is you must explicitly
> allocate
> all objects subject to DMA such that they are known to be physically
> contiguous
> if necessary.

I should have also mentioned that using these functions also returns
both physical and virtual addresses that you should keep within your
driver so you can avoid calling any function/macro that converts
between physical and virtual addresses.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/